Bug 204015 - Use numberic sort (by octet) to sort IP adresses
Use numberic sort (by octet) to sort IP adresses
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 20:23 EDT by Bevan Bennett
Modified: 2008-07-24 15:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0672
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to sort IP addresses numerically (1.22 KB, patch)
2007-10-22 05:56 EDT, Radek Brich
no flags Details | Diff

  None (edit)
Description Bevan Bennett 2006-08-24 20:23:57 EDT
Description of problem:
Sorting by IP address doesn't use "numeric" sorting by octets

Version-Release number of selected component (if applicable):


How reproducible:
Select table header to sort by IP address.

 
Actual results:
10.0.0.2
10.0.0.21
10.0.0.22
10.0.0.200
10.0.0.3
10.0.0.37
10.0.0.4

Expected results:
10.0.0.2
10.0.0.3
10.0.0.4
10.0.0.21
10.0.0.22
10.0.0.37
10.0.0.200
Additional info:
Comment 1 Radek Brich 2007-10-22 05:56:45 EDT
Created attachment 234001 [details]
patch to sort IP addresses numerically

it will be fixed in s-c-netboot 0.1.43 available for Fedora soon
Comment 2 RHEL Product and Program Management 2007-11-28 23:24:50 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-07-24 15:33:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0672.html

Note You need to log in before you can comment on or make changes to this bug.